Package org.springframework.security.web.webauthn.api

# Class AuthenticatorAttachment

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorAttachment

All Implemented Interfaces:
  `Serializable`

public final class AuthenticatorAttachment extends Object implements Serializable
The AuthenticatorAttachment.

Since:
  6.4
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthenticatorAttachment`
`CROSS_PLATFORM`
Indicates cross-platform attachment.
`static final AuthenticatorAttachment`
`PLATFORM`
Indicates platform attachment.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the value.
`String`
`toString()`
`static AuthenticatorAttachment`
`valueOf(String value)`
Gets an instance of `AuthenticatorAttachment` based upon the value passed in.
`static AuthenticatorAttachment[]`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CROSS_PLATFORM

public static final AuthenticatorAttachment CROSS_PLATFORM
Indicates cross-platform attachment.

Authenticators of this class are removable from, and can "roam" among, client platforms.

### PLATFORM

public static final AuthenticatorAttachment PLATFORM
Indicates platform attachment.

Usually, authenticators of this class are not removable from the platform.

## Method Details

### getValue

public String getValue()
Gets the value.

Returns:
  the value.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static AuthenticatorAttachment valueOf(String value)
Gets an instance of `AuthenticatorAttachment` based upon the value passed in.

Parameters:
  `value` - the value to obtain the `AuthenticatorAttachment`
Returns:
  the `AuthenticatorAttachment`

### values

public static AuthenticatorAttachment[] values()